[[,amsr-method {oce} | R Documentation

## Extract Something From an amsr Object

### Description

Extract something from the `metadata` or `data` slot of an `amsr-class` object.

### Usage

    ## S4 method for signature 'amsr'
    x[[i, j, ...]]

### Arguments

`x` | An amsr object, i.e. one inheriting from `amsr-class`.
`i` | The item to extract; see “Details”
`j` | Optional additional information on the `i` item (ignored).
`...` | Optional additional information (ignored).

### Details

Partial matches for `i` are permitted for `metadata`, and `j` is ignored.

Data within the `data` slot must be matched exactly by name, and may be retrieved with units (the default) or as raw bytes (if `j="raw"`.) The available items are: seconds from the start of day (`time`), temperature in degC (`SST`); wind speed in m/s (`LFwind` and `MFwindDay`); water vapor content (`vaporDay`); cloudiness (`cloud`), and rainfall in mm/h (`rain`). Each of these is an average across day-time and night-time passes; to get the day/night data separately, use e.g. `SSTDay` `SSTNight`, and similarly-named versions of all bands.

### Value

In all cases, the returned value is a matrix with with dimension 1440 by 720, with `NA` values if the satellite data are over land (coded to `0x255`), have no observations (coded to `0xfe`), are bad observations (coded to `0xfd`), indicate sea ice (coded to `0xfc`), are are faulty owing to high rain (coded to `0xfb`).

### Author(s)

Dan Kelley

[Package oce version 0.9-18 Index]